Long Term Retention Backups - Copy
复制现有的长期保留备份。
POST https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Sql/locations/{locationName}/longTermRetentionServers/{longTermRetentionServerName}/longTermRetentionDatabases/{longTermRetentionDatabaseName}/longTermRetentionBackups/{backupName}/copy?api-version=2025-01-01
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
backup
|
path | True |
string |
备份名称。 |
|
location
|
path | True |
string |
数据库的位置。 |
|
long
|
path | True |
string |
数据库的名称 |
|
long
|
path | True |
string |
服务器的名称 |
|
subscription
|
path | True |
string |
标识 Azure 订阅的订阅 ID。 |
|
api-version
|
query | True |
string |
要用于请求的 API 版本。 |
请求正文
| 名称 | 类型 | 说明 |
|---|---|---|
| properties.targetBackupStorageRedundancy |
复制备份的存储冗余类型 |
|
| properties.targetDatabaseName |
string |
数据库的名称拥有复制的备份。 |
| properties.targetResourceGroup |
string |
拥有目标服务器的资源组 |
| properties.targetServerFullyQualifiedDomainName |
string |
目标服务器的完全限定域名 |
| properties.targetServerResourceId |
string |
拥有数据库的目标服务器的资源 ID |
| properties.targetSubscriptionId |
string |
拥有目标服务器的订阅 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
已成功复制备份。 |
|
| 202 Accepted |
正在复制备份。 标头 Location: string |
|
| Other Status Codes |
错误响应: ***
|
示例
Copy the long term retention backup.
示例请求
POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/locations/japaneast/longTermRetentionServers/testserver/longTermRetentionDatabases/testDatabase/longTermRetentionBackups/55555555-6666-7777-8888-999999999999;131637960820000000/copy?api-version=2025-01-01
{
"properties": {
"targetServerResourceId": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/resourceGroups/resourceGroup/servers/testserver2",
"targetDatabaseName": "testDatabase2",
"targetBackupStorageRedundancy": "Geo"
}
}
示例响应
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/locations/japanEast/longTermRetentionBackupOperationResults/a1aa7c77-961b-4fbb-bcd6-aa9acfcd1706",
"name": "a1aa7c77-961b-4fbb-bcd6-aa9acfcd1706",
"type": "Microsoft.Sql/locations/longTermRetentionBackupOperationResults",
"properties": {
"requestId": "a1aa7c77-961b-4fbb-bcd6-aa9acfcd1706",
"fromBackupResourceId": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/locations/japanEast/longTermRetentionServers/testserver/longterRetentionDatabases/testDatabase/longTermRetentionBackups/55555555-6666-7777-8888-999999999999;131637960820000000",
"operationType": "CopyBackup",
"status": "Succeeded",
"toBackupResourceId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/resourceGroup/providers/Microsoft.Sql/locations/japanEast/longTermRetentionServers/testserver2/longterRetentionDatabases/testDatabase2/longTermRetentionBackups/55555555-6666-7777-8888-111111111111;131637960820000000",
"targetBackupStorageRedundancy": "Geo"
}
}
Location: https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/locations/japanEast/longTermRetentionBackupOperationResults/a1aa7c77-961b-4fbb-bcd6-aa9acfcd1706?api-version=2021-05-01
定义
| 名称 | 说明 |
|---|---|
|
Backup |
复制备份的存储冗余类型 |
|
Copy |
包含执行长期保留备份复制作所需的信息。 |
|
Error |
资源管理错误附加信息。 |
|
Error |
错误详细信息。 |
|
Error |
错误响应 |
|
Long |
LongTermRetentionBackup作结果资源。 |
BackupStorageRedundancy
复制备份的存储冗余类型
| 值 | 说明 |
|---|---|
| Geo | |
| Local | |
| Zone | |
| GeoZone |
CopyLongTermRetentionBackupParameters
包含执行长期保留备份复制作所需的信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| properties.targetBackupStorageRedundancy |
复制备份的存储冗余类型 |
|
| properties.targetDatabaseName |
string |
数据库的名称拥有复制的备份。 |
| properties.targetResourceGroup |
string |
拥有目标服务器的资源组 |
| properties.targetServerFullyQualifiedDomainName |
string |
目标服务器的完全限定域名 |
| properties.targetServerResourceId |
string |
拥有数据库的目标服务器的资源 ID |
| properties.targetSubscriptionId |
string |
拥有目标服务器的订阅 |
ErrorAdditionalInfo
资源管理错误附加信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| info |
object |
附加信息。 |
| type |
string |
附加信息类型。 |
ErrorDetail
错误详细信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| additionalInfo |
错误附加信息。 |
|
| code |
string |
错误代码。 |
| details |
错误详细信息。 |
|
| message |
string |
错误消息。 |
| target |
string |
错误目标。 |
ErrorResponse
错误响应
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
错误对象。 |
LongTermRetentionBackupOperationResult
LongTermRetentionBackup作结果资源。
| 名称 | 类型 | 说明 |
|---|---|---|
| id |
string |
资源 ID。 |
| name |
string |
资源名称。 |
| properties.fromBackupResourceId |
string |
源备份资源 ID |
| properties.message |
string |
进度消息 |
| properties.operationType |
string |
作类型。 |
| properties.requestId |
string (uuid) |
请求 ID。 |
| properties.status |
string |
操作状态 |
| properties.targetBackupStorageRedundancy |
复制备份的存储冗余类型 |
|
| properties.toBackupResourceId |
string |
目标备份资源 ID |
| type |
string |
资源类型。 |